#!/bin/sh

arch=${1-none}
case "$arch" in
 i386 | ppc ) 
   echo Architecture: $arch
   ;;
 *)
   echo 1>&2 Unknown architecture: $arch
   exit 10
   ;;
esac

for n in `find . -type f -print` ; do
  if file $n | grep -q 'Mach-O.*universal'; then
      lipo -thin $arch -output $n.thin $n && mv $n.thin $n && file $n
  fi
done